# LiveUpdate

class `praw.models.``LiveUpdate`(reddit, thread_id=None, update_id=None, _data=None)

  An individual `LiveUpdate` object.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list necessarily comprehensive.

  Attribute | Description
  --- | ---
  `author` | The `Redditor` who made the update.
  `body` | Body of the update, as Markdown.
  `body_html` | Body of the update, as HTML.
  `created_utc` | The time the update was created, as Unix Time.
  `stricken` | A `bool` representing whether or not the update was stricken (see `strike()`).

  `__init__`(reddit, thread_id=None, update_id=None, _data=None)

    Initialize a lazy `LiveUpdate` instance.

    Either `thread_id` and `update_id`, or `_data` must be provided.

    Parameters:

    - reddit – An instance of `Reddit`.
    - thread_id – A live thread ID, e.g., `'ukaeu1ik4sw5'`.
    - update_id – A live update ID, e.g., `'7827987a-c998-11e4-a0b9-22000b6a88d2'`.

    Usage:

        update = LiveUpdate(reddit, 'ukaeu1ik4sw5',
                            '7827987a-c998-11e4-a0b9-22000b6a88d2')
        update.thread     # LiveThread(id='ukaeu1ik4sw5')
        update.id         # '7827987a-c998-11e4-a0b9-22000b6a88d2'
        update.author     # 'umbrae'

  `contrib`

    Provide an instance of `LiveUpdateContribution`.

    Usage:

        thread = reddit.live('ukaeu1ik4sw5')
        update = thread['7827987a-c998-11e4-a0b9-22000b6a88d2']
        update.contrib  # LiveUpdateContribution instance

  `fullname`

    Return the object’s fullname.

    A fullname is an object’s kind mapping like `t3` followed by an underscore and the object’s base36 ID, e.g., `t1_c5s96e0`.

  classmethod `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.

  `thread`

    Return `LiveThread` object the update object belongs to.